Bug 619 - smbcacls(1) ignores -n option
smbcacls(1) ignores -n option
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0
All All
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 05:38 UTC by SATOH Fumiyasu
Modified: 2005-08-24 10:15 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch. (1.58 KB, patch)
2004-07-01 07:22 UTC, SATOH Fumiyasu
no flags Details
Proposed patch (corrected). (771 bytes, patch)
2004-07-01 07:24 UTC, SATOH Fumiyasu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description SATOH Fumiyasu 2003-10-14 05:38:25 UTC
The smbcacls(1) man page says smbcacls command has '-n' option to displays all
ACL information in numeric format, but smbcacls command ignores it.

$ smbcacls //server/share . -U admin%pass -n
REVISION:1
OWNER:SERVER\fumiya
GROUP:SERVER\fumiya
Comment 1 SATOH Fumiyasu 2004-07-01 07:22:34 UTC
Created attachment 552 [details]
Proposed patch.
Comment 2 SATOH Fumiyasu 2004-07-01 07:24:22 UTC
Created attachment 553 [details]
Proposed patch (corrected).
Comment 3 Björn Jacke 2004-07-01 10:32:36 UTC
or just use --numeric instead of -n. I think we do not need -n when --numeric
works just as wanted. Man page should be fixed. smbcacls --help tells the
correct options.
Comment 4 Jelmer Vernooij 2004-07-01 11:30:58 UTC
I've fixed this in the docs (as proposed by Björn Jacke) 
-n is a common option for specifying our NetBIOS name, so to prevent 
confusion, I prefer not to give it two meanings. 
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:15:59 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.